Show / Hide Table of Contents

# Class Targets

##### Inheritance

System.Object
Targets

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState.Actors

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class Targets

### Properties

| Improve this Doc View Source

#### CurrentTarget

##### Declaration

    public Actor CurrentTarget { get; }

##### Property Value

Type | Description
--- | ---
Actor |

| Improve this Doc View Source

#### FocusTarget

##### Declaration

    public Actor FocusTarget { get; }

##### Property Value

Type | Description
--- | ---
Actor |

| Improve this Doc View Source

#### MouseOverTarget

##### Declaration

    public Actor MouseOverTarget { get; }

##### Property Value

Type | Description
--- | ---
Actor |

| Improve this Doc View Source

#### PreviousTarget

##### Declaration

    public Actor PreviousTarget { get; }

##### Property Value

Type | Description
--- | ---
Actor |

### Methods

| Improve this Doc View Source

#### ClearCurrentTarget()

##### Declaration

    public void ClearCurrentTarget()

| Improve this Doc View Source

#### ClearFocusTarget()

##### Declaration

    public void ClearFocusTarget()

| Improve this Doc View Source

#### SetCurrentTarget(Actor)

##### Declaration

    public void SetCurrentTarget(Actor actor)

##### Parameters

Type | Name | Description
--- | --- | ---
Actor | actor |

| Improve this Doc View Source

#### SetCurrentTarget(IntPtr)

##### Declaration

    public void SetCurrentTarget(IntPtr actorAddress)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | actorAddress |

| Improve this Doc View Source

#### SetFocusTarget(Actor)

##### Declaration

    public void SetFocusTarget(Actor actor)

##### Parameters

Type | Name | Description
--- | --- | ---
Actor | actor |

| Improve this Doc View Source

#### SetFocusTarget(IntPtr)

##### Declaration

    public void SetFocusTarget(IntPtr actorAddress)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | actorAddress |